summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Aaditya Bagga2014-01-25 15:39:43 +0100
committer Erik Hanson2014-01-30 06:21:14 +0100
commit9a15b1639fbcfe0841ab27c35389f1e570f5d9b7 (patch)
treebedeac0ac286008ae18e98f531067be85c24f31a /system
parentbb29f4b1f43812437f60cba81f8a428e8fcf0b85 (diff)
downloadslackbuilds-9a15b1639fbcfe0841ab27c35389f1e570f5d9b7.tar.gz
system/slack: Added (manage SBo packages in local repository).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/slack/README42
-rw-r--r--system/slack/slack-desc18
-rw-r--r--system/slack/slack.SlackBuild71
-rw-r--r--system/slack/slack.info10
4 files changed, 141 insertions, 0 deletions
diff --git a/system/slack/README b/system/slack/README
new file mode 100644
index 0000000000..8cb355e8c9
--- /dev/null
+++ b/system/slack/README
@@ -0,0 +1,42 @@
+slack acts like a package manager for your local copy of slackbuilds.
+(usually obtained from slackbuilds.org)
+
+It supports following functions/options:
+
+1) search the repository (-s)
+2) info about specified package (-i)
+3) readme about specified package (-r)
+4) goto the package directory (-g)
+5) view slackbuild (-v)
+6) list files contained in specified package directory (-l)
+7) description about specified package (-d)
+8) get/download the package (-G)
+9) build the package (-B)
+10) install the built package (-I)
+11) upgrade installed package with built package (-U)
+12) remove installed package (-R)
+13) query installed packages (-q)
+14) view all packages installed from the slackbuilds repo (-a)
+15) update git repo of slackbuilds (-u)
+
+Usage:
+slack <option> [package]
+
+The variables used in the script, which you would probably
+adjust according to your wish, are:
+
+1) repodir=""
+ # Repository for slackbuilds.
+
+2) srcpath=""
+ # Where the downloaded source packages are to be placed.
+ # Leave it blank for saving it in the same directory as the slackbuild.
+
+3) outdir=""
+ # Where the build package will be placed.
+ # Leave it blank for putting it in /tmp.
+
+4) gitdir=""
+ # Directory where the slackbuilds git repository is present.
+
+These variables can also be configured via editing /etc/slack/slack.conf
diff --git a/system/slack/slack-desc b/system/slack/slack-desc
new file mode 100644
index 0000000000..73a96e43ae
--- /dev/null
+++ b/system/slack/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+slack: slack (a tool to manage packages in slackbuilds local repository)
+slack:
+slack: slack acts like a package manager for your local copy of slackbuilds.
+slack: (usually obtained from slackbuilds.org)
+slack:
+slack: It supports searching, displaying info, getting, building,
+slack: and installing/removing packages.
+slack:
+slack: URL- https://github.com/aadityabagga/slack
+slack:
diff --git a/system/slack/slack.SlackBuild b/system/slack/slack.SlackBuild
new file mode 100644
index 0000000000..8d287842bc
--- /dev/null
+++ b/system/slack/slack.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for slack
+
+# Copyright 2014 Aaditya Bagga <aaditya_gnulinux@zoho.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=slack
+VERSION=${VERSION:-0.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -e $CWD/$VERSION.tar.gz ]; then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make install DESTDIR=$PKG APPDIR=/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/slack/slack.info b/system/slack/slack.info
new file mode 100644
index 0000000000..0dabd0e4db
--- /dev/null
+++ b/system/slack/slack.info
@@ -0,0 +1,10 @@
+PRGNAM="slack"
+VERSION="0.3.2"
+HOMEPAGE="http://github.com/aadityabagga/slack"
+DOWNLOAD="http://github.com/aadityabagga/slack/archive/0.3.2.tar.gz"
+MD5SUM="1b4dc0ed2873eece936f4ddaba8f7682"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="aaditya"
+EMAIL="aaditya_gnulinux@zoho.com"